Bug 237016 - Booting is very long due to probing of non-existent ata3, and ata4.
Summary: Booting is very long due to probing of non-existent ata3, and ata4.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Garzik
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-18 21:38 UTC by Homayoun Shahri
Modified: 2018-10-19 23:37 UTC (History)
3 users (show)

Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 20:27:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Homayoun Shahri 2007-04-18 21:38:33 UTC
Description of problem:
non-existent ata3, and ata4 are probed at boot time

Version-Release number of selected component (if applicable):
Linux homayoun 2.6.18-8.1.1.el5 #1 SMP Mon Feb 26 20:37:57 EST 2007 x86_64
x86_64 x86_64 GNU/Linux

How reproducible:
Always, just boot the system

Steps to Reproduce:
1.Boot
2.Observe!
3.
  
Actual results:
It takes a long time to boot, due waiting for time out on non-existent ata3, and
ata4.
The following messages are printed from dmseg:
ata3: SATA max UDMA/133 cmd 0xFE40 ctl 0xFE52 bmdma 0xFED0 irq 50
ata4: SATA max UDMA/133 cmd 0xFE60 ctl 0xFE72 bmdma 0xFED8 irq 50
scsi2 : ata_piix
ata3: port is slow to respond, this delay is known to occur on vacant SATA ports
ata3: port failed to respond (30 secs)
ata3: SRST failed (status 0xFF)
ata3: SRST failed (err_mask=0x100)
ata3: softreset failed, retrying in 5 secs
ata3: SRST failed (status 0xFF)
ata3: SRST failed (err_mask=0x100)
ata3: softreset failed, retrying in 5 secs
ata3: SRST failed (status 0xFF)
ata3: SRST failed (err_mask=0x100)
ata3: reset failed, giving up
scsi3 : ata_piix
ata4: port is slow to respond, this delay is known to occur on vacant SATA ports
ata4: port failed to respond (30 secs)
ata4: SRST failed (status 0xFF)
ata4: SRST failed (err_mask=0x100)
ata4: softreset failed, retrying in 5 secs
ata4: SRST failed (status 0xFF)
ata4: SRST failed (err_mask=0x100)
ata4: softreset failed, retrying in 5 secs
ata4: SRST failed (status 0xFF)
ata4: SRST failed (err_mask=0x100)
ata4: reset failed, giving up

Expected results:
It should be detected that ata3, and ata4 do not exist.

Additional info:

Comment 1 Homayoun Shahri 2007-04-19 16:39:24 UTC
I compiled and ran kernel 2.6.20. This version of the kernel fixes the issue
that I have mentioned above. There is still about 1 or 2 seconds of delay, but
no where near the 2 minutes it used to take with redhat's kernel 2.6.18.


Comment 2 Peter Martuccelli 2007-04-19 16:53:27 UTC
This will be fixed in the SATA update for R5.1.

Comment 3 RHEL Product and Program Management 2007-04-19 17:16:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Thorsten Scherf 2007-06-29 14:50:17 UTC
is there already a rawhide kernel which has the fix included?

Comment 9 Homayoun Shahri 2007-11-20 00:18:22 UTC
The new 2.6.18-53 (rhel 5.1) fixes this issue.




Note You need to log in before you can comment on or make changes to this bug.